/* CSS Variables */
:root {
  --primary: rgb(240, 176, 176);
  --dark: rgb(0, 0, 0);
  --light: rgb(253, 253, 253);
  --shadow: 0 1px 5px rgba(0, 0, 0, 0.8);
}

html {
  box-sizing: border-box;
  font-family: Arial, Helvetica, sans-serif;
  color: var(--dark);
}

body {
  background-image: url('../images/index.JPG');
  position:center;
  margin: 30px 50px;
  line-height: 1.4;
}

header{
  margin-top: 2rem;
  background:rgb(240, 176, 176);
  color: var(--light);
  text-align: center;
  padding: 1rem;
  font-family: 'Satisfy', cursive;
  font-size: 50px;
}

.btn {
  background: var(--dark);
  color: var(--light);
  padding: 0.6rem 1.3rem;
  text-decoration: none;
  border: 0;
  float: right;
  font-size: 20px;
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}


img {
  max-width: 100%;
}

.wrapper {
  display: grid;
  grid-gap: 20px;
}

/* Navigation */
.main-nav ul {
  display: grid;
  grid-gap: 20px;
  padding: 0;
  list-style: none;
  grid-template-columns: repeat(4, 1fr);
  
}

.main-nav a {
  display: block;
  text-decoration: none;
  padding: 0.8rem;
  text-align: center;
  text-transform: uppercase;
  font-size: 1.1rem;
  box-shadow: var(--shadow);
  background-image: linear-gradient(to right, #a1c4fd 0%, #c2e9fb 51%, #a1c4fd 100%);
  font-family: 'Shadows Into Light', cursive;
}

.main-nav a:hover {
  background-position: right center;
  background-image: linear-gradient(to right, #ffecd2 0%, #fcb69f 51%, #ffecd2 100%);
  color: var(--light);
}

/* Top Container */
.top-container {
  display: center;
  grid-gap: 20px;
  grid-template-areas:
}

/* Showcase */
.showcase {
  grid-area: showcase;
  min-height: 400px;
  background: url('../images/contact.jpg');
  background-size: cover;
  background-position: center;
  padding: 3rem;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
  box-shadow: var(--shadow);
}

.showcase h1 {
  font-size: 4rem;
  margin-bottom: 0;
  color: var(--light);
}

.showcase p {
  font-size: 1.3rem;
  margin-top: 0;
  color: var(--light);
}


/* Footer */
footer {
  margin-top: 2rem;
  background: var(--dark);
  color: var(--light);
  text-align: center;
  padding: 1rem;
}

/* Media Queries */
@media (max-width: 700px) {
  .top-container {
    grid-template-areas:
      'showcase showcase'
      'top-box-a top-box-b';
  }

  .showcase h1 {
    font-size: 2.5rem;
  }

  .main-nav ul {
    grid-template-columns: 1fr;
  }

  .info {
    grid-template-columns: 1fr;
  }

  .info .btn {
    display: block;
    text-align: center;
    margin: auto;
  }
}

@media (max-width: 500px) {
  .top-container {
    grid-template-areas:
      'showcase'
      'top-box-a'
      'top-box-b';
  }
}
